org.apache.lucene.queries.function.valuesource

## Class TFValueSource

- java.lang.Object
- - org.apache.lucene.queries.function.ValueSource
  - - org.apache.lucene.queries.function.valuesource.DocFreqValueSource
    - - org.apache.lucene.queries.function.valuesource.TermFreqValueSource
      - - org.apache.lucene.queries.function.valuesource.TFValueSource

-     public class TFValueSource
      extends TermFreqValueSource

  Function that returns `TFIDFSimilarity.tf(int)` for every document.

  Note that the configured Similarity for the field must be a subclass of `TFIDFSimilarity`

  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.queries.function.valuesource.DocFreqValueSource

      `field, indexedBytes, indexedField, val`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TFValueSource(String field, String val, String indexedField, BytesRef indexedBytes)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FunctionValues` | `getValues(Map context, AtomicReaderContext readerContext)` Gets the values for this reader and the context that was previously passed to createWeight()
    `String` | `name()`

    - ### Methods inherited from class org.apache.lucene.queries.function.valuesource.DocFreqValueSource

      `createWeight, description, equals, hashCode`

    - ### Methods inherited from class org.apache.lucene.queries.function.ValueSource

      `getSortField, newContext, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TFValueSource

          public TFValueSource(String field,
                       String val,
                       String indexedField,
                       BytesRef indexedBytes)

  - ### Method Detail

    - #### name

          public String name()

      Overrides:
        `name` in class `TermFreqValueSource`

    - #### getValues

          public FunctionValues getValues(Map context,
                                 AtomicReaderContext readerContext)
                                   throws IOException

      Description copied from class: `ValueSource`
      Gets the values for this reader and the context that was previously passed to createWeight()
      Overrides:
        `getValues` in class `TermFreqValueSource`
      Throws:
        `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.